apply plugin: 'com.android.application'

android {
    signingConfigs {
        release {
            storeFile file('/Users/adam/Documents/tengshi.jks')
            storePassword 'aaa111!!!'
            keyAlias = 'tengshi'
            keyPassword 'aaa111!!!'
        }
        debug {
            storeFile file('/Users/adam/Documents/tengshi.jks')
            storePassword 'aaa111!!!'
            keyAlias = 'tengshi'
            keyPassword 'aaa111!!!'
        }
    }
    compileSdkVersion rootProject.ext.gCompileSdkVersion
    defaultConfig {
        applicationId "com.tenlionsoft.oasystem"
        minSdkVersion rootProject.ext.gMinSdkVersion
        targetSdkVersion rootProject.ext.gCompileSdkVersion
        versionCode rootProject.ext.gVersionCode
        versionName rootProject.ext.gVersionName
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        multiDexEnabled true
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation project(':baselib')
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    if (IsModuleDev.toBoolean()) {
        implementation project(':mainmodule')
        implementation project(':oamodule')
    }
    //ARouter
    api "com.alibaba:arouter-api:$rootProject.ext.gRouterApiVersion"

    //SmartRefreshLayout
    implementation "com.alibaba:arouter-api:${rootProject.ext.gRouterApiVersion}"

    implementation 'com.github.jarryleo:MagicScreenAdapter:v2.1'
    //glide
    implementation "com.github.bumptech.glide:glide:${rootProject.ext.supportGlide}"
    annotationProcessor "com.github.bumptech.glide:compiler:${rootProject.ext.supportGlide}"
    //状态栏
    implementation 'androidx.appcompat:appcompat:1.3.1'
    //其中latest.release指代最新Bugly SDK版本号，也可以指定明确的版本号，例如2.2.0
    implementation 'com.tencent.bugly:crashreport:3.4.4'

}
